# Method: properties.fetchConnectedGa4Property

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.FetchConnectedGa4PropertyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/fetchConnectedGa4Property#try-it)

Given a specified UA property, looks up the GA4 property connected to it. Note: this cannot be used with GA4 properties.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/properties:fetchConnectedGa4Property`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `property` | `string` Required. The UA property for which to look up the connected GA4 property. Note this request uses the internal property ID, not the tracking ID of the form UA-XXXXXX-YY. Format: properties/{internal_web_property_id} Example: properties/1234 |

### Request body

The request body must be empty.

### Response body

Response for looking up GA4 property connected to a UA property.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "property": string } ``` |

| Fields ||
|---|---|
| `property` | `string` The GA4 property connected to the UA property. An empty string is returned when there is no connected GA4 property. Format: properties/{property_id} Example: properties/1234 |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`